Get a webhook endpoint
GET
/v1/webhooks/{webhook_id}
const url = 'https://api-staging.asqary.com/v1/webhooks/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api-staging.asqary.com/v1/webhooks/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”webhook_id
required
string
Responses
Section titled “Responses”The endpoint
Media typeapplication/json
object
webhook_id
required
string
url
required
string
description
required
string | null
events
required
Array<string>
status
required
string
disabled_reason
required
string | null
failing_since
required
When deliveries started failing. The endpoint is disabled after three days of failures.
string | null format: date-time
environment
required
string
previous_secret_expires_at
Set after a rotation while the old secret still signs deliveries.
string | null format: date-time
created_at
required
string format: date-time
updated_at
required
string format: date-time
Example
{ "events": [ "*" ], "status": "enabled", "environment": "live"}Resource or endpoint not found.
Media typeapplication/json
object
error_code
required
Invalid_request, unauthorized, key_expired, key_revoked, forbidden, ip_not_allowed, quota_exceeded, not_found, method_not_allowed, conflict, policy_in_use, policy_active, policy_archived, idempotency_key_reused, validation_failed, rule_not_available, backtest_invalid_rows, backtest_too_large, rate_limited, internal_error
string
message
required
string
retryable
required
boolean
request_id
string
details
One of:
Array<object>
object
field
required
string
message
required
string
code
string
object
Example generated
{ "error_code": "example", "message": "example", "retryable": true, "request_id": "example", "details": {}}